Skip to content

Get member active stamp cards

GET
/api/v2.0/stores/{storeId}/members/{memberId}/stamp-cards
curl --request GET \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/stamp-cards \
--header 'Authorization: Bearer <token>'
storeId
required
string

The store id

Example
your-store-id
memberId
required
string
Example
m_nsr714RRBEHX

OK

Media typeapplication/json
Array<object>
object
id
integer format: int32
external_id
string
nullable
article_number
string
nullable
title
string
nullable
description
string
nullable
required_points
integer format: int32
is_restartable
boolean
required_stamps
integer format: int32
image_url
string
nullable
last_stamp_text
string
nullable
product_ids
Array<string>
nullable
card_type

CardType can have the values ‘standard’ or ‘threshold’

string
nullable
threshold_amount

The minimum transaction amount required to earn a stamp when the stamp card is of type 'threshold'.

number format: double
valid_from
string format: date-time
valid_to
string format: date-time
stamps_collected
integer format: int32
Example
[
{
"valid_from": "2026-09-11T12:34:49",
"valid_to": "2026-09-11T12:34:49"
}
]

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}